com.fasterxml.jackson.core

## Interface JsonTokenId

    public interface JsonTokenId

Interface defined to contain ids accessible with `JsonToken.id()`. Needed because it is impossible to define these constants in `JsonToken` itself, as static constants (oddity of how Enums are implemented by JVM).

Since:
  2.3

### Field Summary

Fields
`static int` `ID_EMBEDDED_OBJECT` Id used to represent `JsonToken.VALUE_EMBEDDED_OBJECT`
`static int` `ID_END_ARRAY` Id used to represent `JsonToken.END_ARRAY`
`static int` `ID_END_OBJECT` Id used to represent `JsonToken.END_OBJECT`
`static int` `ID_FALSE` Id used to represent `JsonToken.VALUE_FALSE`
`static int` `ID_FIELD_NAME` Id used to represent `JsonToken.FIELD_NAME` NOTE: in Jackson 3.x this enum is renamed as `ID_PROPERTY_NAME`
`static int` `ID_NO_TOKEN` Id used to represent the case where no `JsonToken` is available: either because `JsonParser` has not been advanced to first token, or because no more tokens will be available (end-of-input or explicit closing of parser}.
`static int` `ID_NOT_AVAILABLE` Id used to represent `JsonToken.NOT_AVAILABLE`, used in cases where a token may become available when more input is available: this occurs in non-blocking use cases.
`static int` `ID_NULL` Id used to represent `JsonToken.VALUE_NULL`
`static int` `ID_NUMBER_FLOAT` Id used to represent `JsonToken.VALUE_NUMBER_FLOAT`
`static int` `ID_NUMBER_INT` Id used to represent `JsonToken.VALUE_NUMBER_INT`
`static int` `ID_START_ARRAY` Id used to represent `JsonToken.START_ARRAY`
`static int` `ID_START_OBJECT` Id used to represent `JsonToken.START_OBJECT`
`static int` `ID_STRING` Id used to represent `JsonToken.VALUE_STRING`
`static int` `ID_TRUE` Id used to represent `JsonToken.VALUE_TRUE`

### Field Detail

#### ID_NOT_AVAILABLE

    static final int ID_NOT_AVAILABLE

Id used to represent `JsonToken.NOT_AVAILABLE`, used in cases where a token may become available when more input is available: this occurs in non-blocking use cases.

See Also:
  Constant Field Values

#### ID_NO_TOKEN

    static final int ID_NO_TOKEN

Id used to represent the case where no `JsonToken` is available: either because `JsonParser` has not been advanced to first token, or because no more tokens will be available (end-of-input or explicit closing of parser}.

See Also:
  Constant Field Values

#### ID_START_OBJECT

    static final int ID_START_OBJECT

Id used to represent `JsonToken.START_OBJECT`

See Also:
  Constant Field Values

#### ID_END_OBJECT

    static final int ID_END_OBJECT

Id used to represent `JsonToken.END_OBJECT`

See Also:
  Constant Field Values

#### ID_START_ARRAY

    static final int ID_START_ARRAY

Id used to represent `JsonToken.START_ARRAY`

See Also:
  Constant Field Values

#### ID_END_ARRAY

    static final int ID_END_ARRAY

Id used to represent `JsonToken.END_ARRAY`

See Also:
  Constant Field Values

#### ID_FIELD_NAME

    static final int ID_FIELD_NAME

Id used to represent `JsonToken.FIELD_NAME`

NOTE: in Jackson 3.x this enum is renamed as `ID_PROPERTY_NAME`

See Also:
  Constant Field Values

#### ID_STRING

    static final int ID_STRING

Id used to represent `JsonToken.VALUE_STRING`

See Also:
  Constant Field Values

#### ID_NUMBER_INT

    static final int ID_NUMBER_INT

Id used to represent `JsonToken.VALUE_NUMBER_INT`

See Also:
  Constant Field Values

#### ID_NUMBER_FLOAT

    static final int ID_NUMBER_FLOAT

Id used to represent `JsonToken.VALUE_NUMBER_FLOAT`

See Also:
  Constant Field Values

#### ID_TRUE

    static final int ID_TRUE

Id used to represent `JsonToken.VALUE_TRUE`

See Also:
  Constant Field Values

#### ID_FALSE

    static final int ID_FALSE

Id used to represent `JsonToken.VALUE_FALSE`

See Also:
  Constant Field Values

#### ID_NULL

    static final int ID_NULL

Id used to represent `JsonToken.VALUE_NULL`

See Also:
  Constant Field Values

#### ID_EMBEDDED_OBJECT

    static final int ID_EMBEDDED_OBJECT

Id used to represent `JsonToken.VALUE_EMBEDDED_OBJECT`

See Also:
  Constant Field Values